<template>
  <details class="docs-code-snippet">
    <summary class="toggle-button">{{ label }}</summary>
    <slot />
  </details>
</template>

<script lang="ts" setup>
defineProps({
  label: {
    type: String,
    default: 'Toggle code snippet',
  },
})
</script>

<style lang="postcss">
.docs-code-snippet {
  @apply mt-4;
  @apply mb-12;
  @apply text-sm;
  @apply md:text-base;
  @apply lg:text-lg;
}

.docs-code-snippet:last-child {
  @apply mb-0;
}

.docs-code-snippet .toggle-button {
  @apply p-2;
  @apply rounded;
  @apply font-medium;
  @apply bg-gray-100;
  @apply text-gray-600;
  @apply hover:bg-gray-200;
  @apply hover:text-gray-900;
  @apply focus:bg-gray-200;
  @apply focus:text-gray-900;
  @apply cursor-pointer;
}
</style>
